My 3GS is on 4.0 but I want to upgrade to 4.2.1 - What do I need to do?

Discussion in 'Jailbreaks and iOS Hacks' started by Snowscape, Apr 30, 2011.

  1. Snowscape macrumors newbie

    Joined:
    Apr 30, 2011
    #1
    Hey guys,

    I've been a bit behind on the JB scene now so I'm unsure of what I need to do here.

    My iPhone 3GS is currently on 4.0, jailbroken with the soft unlock from ultrasn0w and has a baseband of 04.26.08. I want to upgrade to 4.2.1 since I don't seem to see any reports of the ultrasn0w unlock working for 4.3.2 yet?

    I've found the following tutorials at iClarified for:

    Jailbreaking - http://www.iclarified.com/entry/index.php?enid=13931

    and Unlocking - http://www.iclarified.com/entry/index.php?enid=4253

    Is it just a case of me restoring to the stock version of 4.2.1 before proceeding with the above? I remember way back when I upgraded to 4.0 I had to use PwnageTool to build the firmware with the old baseband and so forth... is this still something I need to do if I want to keep my current baseband, or is this a redundant step now?

    Really appreciate your help with this guys, thanks in advance!
     
  2. svenn macrumors 6502

    Joined:
    Aug 11, 2010
    #2
  3. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #3
    In case it's not obvious, you never update through iTunes.
    If you have your blob for 4.2.1, you can update to that iOS.
     

Share This Page